import { Injectable } from '@nestjs/common';
import { ICreateGeorouter } from '../../domain/interfaces/georouter-creator.interface';
import { IGeorouter } from '../../domain/interfaces/georouter.interface';
import { GraphhopperGeorouter } from './graphhopper-georouter';

@Injectable()
export class GeorouterCreator implements ICreateGeorouter {
  create(type: string, url: string): IGeorouter {
    switch (type) {
      case 'graphhopper':
        return new GraphhopperGeorouter(url);
      default:
        throw new Error('Unknown geocoder');
    }
  }
}
